Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 5117)
@@ -32,5 +32,5 @@
 ! EV tg instead of ts_cur
              tg = ts_prof_cas
-             if ((tg .eq. 0.) .and. (tskin_prof_cas .ne. 0.)) THEN
+             IF ((tg .EQ. 0.) .AND. (tskin_prof_cas .NE. 0.)) THEN
                 tg=tskin_prof_cas
               endif
@@ -78,5 +78,5 @@
       d_u_dyn_z(:)=0.
       d_v_dyn_z(:)=0.
-      if (1==0) THEN
+      IF (1==0) THEN
          DO l=2,llm-1
           d_t_z(l)=(temp(l+1)-temp(l-1))/(play(l+1)-play(l-1))
@@ -132,5 +132,5 @@
 
 !geostrophic wind 
-      if (forc_geo.eq.1) THEN
+      IF (forc_geo.EQ.1) THEN
         do l=1,llm
         ug(l) = ug_mod_cas(l) 
@@ -168,5 +168,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
          
-        if (trad.eq.1) THEN
+        IF (trad.EQ.1) THEN
            tend_rayo=1
            dt_cooling(l) = dtrad_mod_cas(l)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 5117)
@@ -12,5 +12,5 @@
 
       PRINT*,'FORCING ,forcing_SCM',forcing_SCM
-      if (forcing_SCM) THEN
+      IF (forcing_SCM) THEN
          WRITE(*,*),'avant CALL read_SCM'
          CALL read_SCM_cas
@@ -76,8 +76,8 @@
 
       !initial surface temperature
-      if (tskin_prof_cas .NE. 0.) THEN
+      IF (tskin_prof_cas .NE. 0.) THEN
       ! we take the first value of the prescribed ts
           tsurf=tskin_prof_cas
-      else if (ts_prof_cas .NE. 0) THEN
+      ELSE IF (ts_prof_cas .NE. 0) THEN
       ! if an initial ts value is present, we take it
           tsurf=ts_prof_cas
@@ -86,5 +86,5 @@
       ! ts forcing during the run (if any)
       tg = ts_prof_cas
-      if ((tg .eq. 0.) .and. (tskin_prof_cas .NE. 0.)) THEN
+      IF ((tg .EQ. 0.) .AND. (tskin_prof_cas .NE. 0.)) THEN
           tg=tskin_prof_cas
       endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/compar1d.h	(revision 5117)
@@ -30,6 +30,6 @@
       REAL :: zpicinp
 
-      logical :: restart
-      logical :: ok_old_disvert
+      LOGICAL :: restart
+      LOGICAL :: ok_old_disvert
 
 ! Pour les forcages communs: ces entiers valent 0 ou 1
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/fcg_racmo.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/fcg_racmo.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/fcg_racmo.h	(revision 5117)
@@ -3,5 +3,5 @@
 
       real   :: a_guide 
-      logical :: ok_invertp 
+      LOGICAL :: ok_invertp
       INTEGER :: forc_trb
       character*31 :: fich_racmo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5117)
@@ -62,5 +62,5 @@
   SUBROUTINE conf_unicol
 
-    use IOIPSL
+    USE IOIPSL
     USE lmdz_print_control, ONLY: lunout
     !-----------------------------------------------------------------------
@@ -97,5 +97,5 @@
     lunout = 6
     !      CALL getin('lunout', lunout)
-    IF (lunout /= 5 .and. lunout /= 6) THEN
+    IF (lunout /= 5 .AND. lunout /= 6) THEN
       OPEN(lunout, FILE = 'lmdz.out')
     ENDIF
@@ -711,5 +711,5 @@
     USE lmdz_write_field_phy
     USE infotrac
-    use control_mod
+    USE control_mod
     USE comconst_mod, ONLY: im, jm, lllm
     USE logic_mod, ONLY: fxyhypb, ysinus
@@ -844,5 +844,5 @@
     USE iostart
     USE infotrac
-    use control_mod
+    USE control_mod
     USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
     USE logic_mod, ONLY: fxyhypb, ysinus
@@ -1032,5 +1032,5 @@
 
     CHARACTER(LEN = *) modname
-    integer ierr
+    INTEGER ierr
     CHARACTER(LEN = *) message
 
@@ -1046,5 +1046,5 @@
     CALL getin_dump
 
-    if (ierr == 0) THEN
+    IF (ierr == 0) THEN
       WRITE(*, *) 'Everything is cool'
     else
@@ -1248,11 +1248,11 @@
     IMPLICIT NONE
     ! arguments
-    integer llm
-    real w(llm + 1), q(llm), plev(llm + 1), dt
+    INTEGER llm
+    REAL w(llm + 1), q(llm), plev(llm + 1), dt
 
     ! local
-    integer l
-    real zwq(llm + 1), zm(llm + 1), zw(llm + 1)
-    real qold
+    INTEGER l
+    REAL zwq(llm + 1), zm(llm + 1), zw(llm + 1)
+    REAL qold
 
     !---------------------------------------------------------------
@@ -1285,5 +1285,5 @@
     include "YOMCST.h"
     !        argument
-    integer llm
+    INTEGER llm
     real  omega(llm + 1), d_t_va(llm), d_q_va(llm, 3)
     real  d_u_va(llm), d_v_va(llm)
@@ -1292,6 +1292,6 @@
     real  play(llm)
     ! interne
-    integer l
-    real alpha, omgdown, omgup
+    INTEGER l
+    REAL alpha, omgdown, omgup
 
     do l = 1, llm
@@ -1357,5 +1357,5 @@
     include "YOMCST.h"
     !        argument
-    integer llm, nqtot
+    INTEGER llm, nqtot
     real  omega(llm + 1), d_t_va(llm), d_q_va(llm, nqtot)
     !        real  d_u_va(llm), d_v_va(llm)
@@ -1363,10 +1363,10 @@
     real  u(llm), v(llm)
     real  play(llm)
-    real cor(llm)
+    REAL cor(llm)
     !        real dph(llm),dudp(llm),dvdp(llm),dqdp(llm),dtdp(llm)
-    real dph(llm), dqdp(llm), dtdp(llm)
+    REAL dph(llm), dqdp(llm), dtdp(llm)
     ! interne
-    integer k
-    real omdn, omup
+    INTEGER k
+    REAL omdn, omup
 
     !        dudp=0.
@@ -1673,7 +1673,7 @@
     !-------------------------------------------------------------------------
 
-    integer nlevmax
+    INTEGER nlevmax
     parameter (nlevmax = 41)
-    integer nlev_cas, mxcalc
+    INTEGER nlev_cas, mxcalc
     !       real play(llm), plev_prof(nlevmax)
     !       real t_prof(nlevmax),q_prof(nlevmax)
@@ -1682,27 +1682,27 @@
     !       real hq_prof(nlevmax),vq_prof(nlevmax)
 
-    real play(llm), plev_prof_cas(nlev_cas)
-    real t_prof_cas(nlev_cas), th_prof_cas(nlev_cas), thv_prof_cas(nlev_cas), thl_prof_cas(nlev_cas)
-    real qv_prof_cas(nlev_cas), ql_prof_cas(nlev_cas), qi_prof_cas(nlev_cas)
-    real u_prof_cas(nlev_cas), v_prof_cas(nlev_cas)
-    real ug_prof_cas(nlev_cas), vg_prof_cas(nlev_cas), vitw_prof_cas(nlev_cas), omega_prof_cas(nlev_cas)
-    real du_prof_cas(nlev_cas), hu_prof_cas(nlev_cas), vu_prof_cas(nlev_cas)
-    real dv_prof_cas(nlev_cas), hv_prof_cas(nlev_cas), vv_prof_cas(nlev_cas)
-    real dt_prof_cas(nlev_cas), ht_prof_cas(nlev_cas), vt_prof_cas(nlev_cas), dtrad_prof_cas(nlev_cas)
-    real dth_prof_cas(nlev_cas), hth_prof_cas(nlev_cas), vth_prof_cas(nlev_cas)
-    real dq_prof_cas(nlev_cas), hq_prof_cas(nlev_cas), vq_prof_cas(nlev_cas)
-
-    real t_mod_cas(llm), theta_mod_cas(llm), thv_mod_cas(llm), thl_mod_cas(llm)
-    real qv_mod_cas(llm), ql_mod_cas(llm), qi_mod_cas(llm)
-    real u_mod_cas(llm), v_mod_cas(llm)
-    real ug_mod_cas(llm), vg_mod_cas(llm), w_mod_cas(llm), omega_mod_cas(llm)
-    real du_mod_cas(llm), hu_mod_cas(llm), vu_mod_cas(llm)
-    real dv_mod_cas(llm), hv_mod_cas(llm), vv_mod_cas(llm)
-    real dt_mod_cas(llm), ht_mod_cas(llm), vt_mod_cas(llm), dtrad_mod_cas(llm)
-    real dth_mod_cas(llm), hth_mod_cas(llm), vth_mod_cas(llm)
-    real dq_mod_cas(llm), hq_mod_cas(llm), vq_mod_cas(llm)
-
-    integer l, k, k1, k2
-    real frac, frac1, frac2, fact
+    REAL play(llm), plev_prof_cas(nlev_cas)
+    REAL t_prof_cas(nlev_cas), th_prof_cas(nlev_cas), thv_prof_cas(nlev_cas), thl_prof_cas(nlev_cas)
+    REAL qv_prof_cas(nlev_cas), ql_prof_cas(nlev_cas), qi_prof_cas(nlev_cas)
+    REAL u_prof_cas(nlev_cas), v_prof_cas(nlev_cas)
+    REAL ug_prof_cas(nlev_cas), vg_prof_cas(nlev_cas), vitw_prof_cas(nlev_cas), omega_prof_cas(nlev_cas)
+    REAL du_prof_cas(nlev_cas), hu_prof_cas(nlev_cas), vu_prof_cas(nlev_cas)
+    REAL dv_prof_cas(nlev_cas), hv_prof_cas(nlev_cas), vv_prof_cas(nlev_cas)
+    REAL dt_prof_cas(nlev_cas), ht_prof_cas(nlev_cas), vt_prof_cas(nlev_cas), dtrad_prof_cas(nlev_cas)
+    REAL dth_prof_cas(nlev_cas), hth_prof_cas(nlev_cas), vth_prof_cas(nlev_cas)
+    REAL dq_prof_cas(nlev_cas), hq_prof_cas(nlev_cas), vq_prof_cas(nlev_cas)
+
+    REAL t_mod_cas(llm), theta_mod_cas(llm), thv_mod_cas(llm), thl_mod_cas(llm)
+    REAL qv_mod_cas(llm), ql_mod_cas(llm), qi_mod_cas(llm)
+    REAL u_mod_cas(llm), v_mod_cas(llm)
+    REAL ug_mod_cas(llm), vg_mod_cas(llm), w_mod_cas(llm), omega_mod_cas(llm)
+    REAL du_mod_cas(llm), hu_mod_cas(llm), vu_mod_cas(llm)
+    REAL dv_mod_cas(llm), hv_mod_cas(llm), vv_mod_cas(llm)
+    REAL dt_mod_cas(llm), ht_mod_cas(llm), vt_mod_cas(llm), dtrad_mod_cas(llm)
+    REAL dth_mod_cas(llm), hth_mod_cas(llm), vth_mod_cas(llm)
+    REAL dq_mod_cas(llm), hq_mod_cas(llm), vq_mod_cas(llm)
+
+    INTEGER l, k, k1, k2
+    REAL frac, frac1, frac2, fact
 
     !       do l = 1, llm
@@ -1715,5 +1715,5 @@
     do l = 1, llm
 
-      if (play(l)>=plev_prof_cas(nlev_cas)) THEN
+      IF (play(l)>=plev_prof_cas(nlev_cas)) THEN
         mxcalc = l
         !        print *,'debut interp2, mxcalc=',mxcalc
@@ -1721,7 +1721,7 @@
         k2 = 0
 
-        if (play(l)<=plev_prof_cas(1)) THEN
+        IF (play(l)<=plev_prof_cas(1)) THEN
           do k = 1, nlev_cas - 1
-            if (play(l)<=plev_prof_cas(k).and. play(l)>plev_prof_cas(k + 1)) THEN
+            IF (play(l)<=plev_prof_cas(k).AND. play(l)>plev_prof_cas(k + 1)) THEN
               k1 = k
               k2 = k + 1
@@ -1729,5 +1729,5 @@
           enddo
 
-          if (k1==0 .or. k2==0) THEN
+          IF (k1==0 .OR. k2==0) THEN
             WRITE(*, *) 'PB! k1, k2 = ', k1, k2
             WRITE(*, *) 'l,play(l) = ', l, play(l) / 100
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5117)
@@ -27,5 +27,5 @@
     REAL hplaym(100) !pression en hPa milieux des couches Meso-NH
 
-    integer i, j, k, ll, in
+    INTEGER i, j, k, ll, in
 
     CHARACTER*80 file_forctl, file_fordat
@@ -45,5 +45,5 @@
     !       dt         :pas de temps du meso_NH (en secondes)
     !----------------------------------------------------------------------
-    integer pasmax, dt
+    INTEGER pasmax, dt
     save pasmax, dt
     !----------------------------------------------------------------------
@@ -60,23 +60,23 @@
     !           hv     : idem le long de y.
     !           Ts     : Temperature de surface (K)
-    !           imp_fcg: var. logical .eq. T si forcage en impulsion
-    !           ts_fcg: var. logical .eq. T si forcage en Ts present dans fichier
-    !           Tp_fcg: var. logical .eq. T si forcage donne en Temp potentielle
-    !           Turb_fcg: var. logical .eq. T si forcage turbulent present dans fichier
-    !----------------------------------------------------------------------
-    integer itap
-    real dtime
-    real ht(100)
-    real hq(100)
-    real hu(100)
-    real hv(100)
-    real hw(100)
-    real hthturb(100)
-    real hqturb(100)
-    real Ts, Ts_subr
-    logical imp_fcg
-    logical ts_fcg
-    logical Tp_fcg
-    logical Turb_fcg
+    !           imp_fcg: var. LOGICAL .EQ. T si forcage en impulsion
+    !           ts_fcg: var. LOGICAL .EQ. T si forcage en Ts present dans fichier
+    !           Tp_fcg: var. LOGICAL .EQ. T si forcage donne en Temp potentielle
+    !           Turb_fcg: var. LOGICAL .EQ. T si forcage turbulent present dans fichier
+    !----------------------------------------------------------------------
+    INTEGER itap
+    REAL dtime
+    REAL ht(100)
+    REAL hq(100)
+    REAL hu(100)
+    REAL hv(100)
+    REAL hw(100)
+    REAL hthturb(100)
+    REAL hqturb(100)
+    REAL Ts, Ts_subr
+    LOGICAL imp_fcg
+    LOGICAL ts_fcg
+    LOGICAL Tp_fcg
+    LOGICAL Turb_fcg
     !----------------------------------------------------------------------
     ! Variables internes de get_uvd (note : l interpolation temporelle
@@ -100,36 +100,36 @@
     !     tsbef     : surface temperature 'before time step'
     !----------------------------------------------------------------------
-    integer time0, pas, pasprev
+    INTEGER time0, pas, pasprev
     save time0, pas, pasprev
-    real time
-    real htaft(100), hqaft(100), hwaft(100), huaft(100), hvaft(100)
-    real hthturbaft(100), hqturbaft(100)
-    real Tsaft
+    REAL time
+    REAL htaft(100), hqaft(100), hwaft(100), huaft(100), hvaft(100)
+    REAL hthturbaft(100), hqturbaft(100)
+    REAL Tsaft
     save htaft, hqaft, hwaft, huaft, hvaft, hthturbaft, hqturbaft
-    real htbef(100), hqbef(100), hwbef(100), hubef(100), hvbef(100)
-    real hthturbbef(100), hqturbbef(100)
-    real Tsbef
+    REAL htbef(100), hqbef(100), hwbef(100), hubef(100), hvbef(100)
+    REAL hthturbbef(100), hqturbbef(100)
+    REAL Tsbef
     save htbef, hqbef, hwbef, hubef, hvbef, hthturbbef, hqturbbef
 
-    real timeaft, timebef
+    REAL timeaft, timebef
     save timeaft, timebef
-    integer temps
+    INTEGER temps
     character*4 string
     !----------------------------------------------------------------------
     ! variables arguments de la subroutine rdgrads
     !---------------------------------------------------------------------
-    integer icompt, icomp1 !compteurs de rdgrads
-    real z(100)         ! altitude (grille Meso)
-    real ht_mes(100)    !convergence horizontale de temperature
+    INTEGER icompt, icomp1 !compteurs de rdgrads
+    REAL z(100)         ! altitude (grille Meso)
+    REAL ht_mes(100)    !convergence horizontale de temperature
     !-(grille Meso)
-    real hq_mes(100)    !convergence horizontale d humidite
+    REAL hq_mes(100)    !convergence horizontale d humidite
     !(grille Meso)
-    real hw_mes(100)    !vitesse verticale moyenne
+    REAL hw_mes(100)    !vitesse verticale moyenne
     !(grille Meso)
-    real hu_mes(100), hv_mes(100)    !convergence horizontale d impulsion
+    REAL hu_mes(100), hv_mes(100)    !convergence horizontale d impulsion
     !(grille Meso)
-    real hthturb_mes(100) !tendance horizontale de T_pot, due aux
+    REAL hthturb_mes(100) !tendance horizontale de T_pot, due aux
     !flux turbulents
-    real hqturb_mes(100) !tendance horizontale d humidite, due aux
+    REAL hqturb_mes(100) !tendance horizontale d humidite, due aux
     !flux turbulents
 
@@ -143,5 +143,5 @@
     !---------------------------------------------------------------------
     character*80 aaa, atemps, spaces, apasmax
-    integer nch, imn, ipa
+    INTEGER nch, imn, ipa
     !---------------------------------------------------------------------
     !  procedures appelees
@@ -220,5 +220,5 @@
       !*** gcm . on obtient le nouveau champ after                    ***
       do k = 1, klev
-        if (JM(k) == 0) THEN
+        IF (JM(k) == 0) THEN
           htaft(k) = ht_mes(jm(k) + 1)
           hqaft(k) = hq_mes(jm(k) + 1)
@@ -232,5 +232,5 @@
             hqTurbaft(k) = hqTurb_mes(jm(k) + 1)
           endif ! Turb_fcg
-        else ! JM(k) .eq. 0
+        else ! JM(k) .EQ. 0
           htaft(k) = coef1(k) * ht_mes(jm(k)) + coef2(k) * ht_mes(jm(k) + 1)
           hqaft(k) = coef1(k) * hq_mes(jm(k)) + coef2(k) * hq_mes(jm(k) + 1)
@@ -246,5 +246,5 @@
                     & + coef2(k) * hqTurb_mes(jm(k) + 1)
           endif ! Turb_fcg
-        endif ! JM(k) .eq. 0
+        endif ! JM(k) .EQ. 0
       enddo
       tsaft = ts_subr
@@ -323,5 +323,5 @@
       read(97, 1000, end = 999) string
       1000 format (a4)
-      if (string == 'TDEF') go to 50
+      IF (string == 'TDEF') go to 50
     enddo
     50   backspace(97)
@@ -397,5 +397,5 @@
     !-----------------------------------------------------------------------
     do k = 1, klev
-      if (JM(k) == 0) THEN
+      IF (JM(k) == 0) THEN
         !FKC bug? ne faut il pas convertir tsol en tendance ????
         !RT bug taken care of by removing the stuff
@@ -411,5 +411,5 @@
           hqTurbaft(k) = hqTurb_mes(jm(k) + 1)
         endif ! Turb_fcg
-      else ! JM(k) .eq. 0
+      else ! JM(k) .EQ. 0
         htaft(k) = coef1(k) * ht_mes(jm(k)) + coef2(k) * ht_mes(jm(k) + 1)
         hqaft(k) = coef1(k) * hq_mes(jm(k)) + coef2(k) * hq_mes(jm(k) + 1)
@@ -425,5 +425,5 @@
                   & + coef2(k) * hqTurb_mes(jm(k) + 1)
         endif ! Turb_fcg
-      endif ! JM(k) .eq. 0
+      endif ! JM(k) .EQ. 0
     enddo
     tsaft = ts_subr
@@ -457,5 +457,5 @@
   SUBROUTINE advect_tvl(dtime, zt, zq, vu_f, vv_f, t_f, q_f                   &
           &, d_t_adv, d_q_adv)
-    use dimphy
+    USE dimphy
     IMPLICIT NONE
 
@@ -463,10 +463,10 @@
     !cccc      INCLUDE "dimphy.h"
 
-    integer k
-    real dtime, fact, du, dv, cx, cy, alx, aly
-    real zt(klev), zq(klev, 3)
-    real vu_f(klev), vv_f(klev), t_f(klev), q_f(klev, 3)
-
-    real d_t_adv(klev), d_q_adv(klev, 3)
+    INTEGER k
+    REAL dtime, fact, du, dv, cx, cy, alx, aly
+    REAL zt(klev), zq(klev, 3)
+    REAL vu_f(klev), vv_f(klev), t_f(klev), q_f(klev, 3)
+
+    REAL d_t_adv(klev), d_q_adv(klev, 3)
 
     ! Velocity of moving cell
@@ -509,7 +509,7 @@
     COMMON/com2_phys_gcss/playm, hplaym, nblvlm
 
-    integer k, klevgcm
-    real playgcm(klevgcm) ! pression en milieu de couche du gcm
-    real psolgcm
+    INTEGER k, klevgcm
+    REAL playgcm(klevgcm) ! pression en milieu de couche du gcm
+    REAL psolgcm
     character*80 file_forctl
 
@@ -584,5 +584,5 @@
     character*4 a
     character*80 aaa, anblvl, spaces
-    integer nch
+    INTEGER nch
 
     lu = 9
@@ -591,5 +591,5 @@
     do i = 1, 1000
       read(lu, 1000, end = 999) a
-      if (a == 'ZDEF') go to 100
+      IF (a == 'ZDEF') go to 100
     enddo
 
@@ -610,5 +610,5 @@
     read(lu, *) (playm(mlz), mlz = 1, nblvlm)
     !      Si la pression est en HPa, la multiplier par 100
-    if (playm(1) < 10000.) THEN
+    IF (playm(1) < 10000.) THEN
       do mlz = 1, nblvlm
         playm(mlz) = playm(mlz) * 100.
@@ -637,7 +637,7 @@
     IMPLICIT none
     INTEGER itape, icount, icomp, nl
-    real z(nl), ht(nl), hq(nl), hw(nl), hu(nl), hv(nl)
-    real hthtur(nl), hqtur(nl)
-    real ts
+    REAL z(nl), ht(nl), hq(nl), hw(nl), hu(nl), hv(nl)
+    REAL hthtur(nl), hqtur(nl)
+    REAL ts
 
     INTEGER k
@@ -729,12 +729,12 @@
     do k = 1, klev
       val = play(k)
-      if (val > playm(1)) THEN
+      IF (val > playm(1)) THEN
         mlz = 0
         JM(1) = mlz
         coef1(1) = (playm(mlz + 1) - val) / (playm(mlz + 1) - psol)
         coef2(1) = (val - psol) / (playm(mlz + 1) - psol)
-      else if (val > playm(nblvlm)) THEN
+      ELSE IF (val > playm(nblvlm)) THEN
         do mlz = 1, nblvlm
-          if (val <= playm(mlz).and. val > playm(mlz + 1))THEN
+          IF (val <= playm(mlz).AND. val > playm(mlz + 1))THEN
             JM(k) = mlz
             coef1(k) = (playm(mlz + 1) - val) / (playm(mlz + 1) - playm(mlz))
@@ -807,5 +807,5 @@
         IF(END==BEG - 2) END = LENGTH
         !*        PRINT *,'NTH,LENGTH,N,BEG,END=',NTH,LENGTH,N,BEG,END
-      end do
+      end DO
       NCH = END - BEG + 1
       IF(NCH>0) SST = STR(BEG:END)
